commit:     92536520557b5b72bfd56675eb05c0f162dad69e
Author:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  2 06:33:11 2025 +0000
Commit:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Wed Jul  2 06:33:11 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=92536520

net-wireless/soapyhackrf: Fix build with cmake4

Closes: https://bugs.gentoo.org/957443
Signed-off-by: Thomas Beierlein <tomjbe <AT> gentoo.org>

 .../{soapyhackrf-9999.ebuild => soapyhackrf-0.3.4-r1.ebuild}       | 7 ++++++-
 net-wireless/soapyhackrf/soapyhackrf-9999.ebuild                   | 7 ++++++-
 2 files changed, 12 insertions(+), 2 deletions(-)

diff --git a/net-wireless/soapyhackrf/soapyhackrf-9999.ebuild 
b/net-wireless/soapyhackrf/soapyhackrf-0.3.4-r1.ebuild
similarity index 82%
copy from net-wireless/soapyhackrf/soapyhackrf-9999.ebuild
copy to net-wireless/soapyhackrf/soapyhackrf-0.3.4-r1.ebuild
index 017475da18d7..777ae3cc5c87 100644
--- a/net-wireless/soapyhackrf/soapyhackrf-9999.ebuild
+++ b/net-wireless/soapyhackrf/soapyhackrf-0.3.4-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -23,3 +23,8 @@ SLOT="0"
 RDEPEND="net-wireless/soapysdr:=
                net-libs/libhackrf:="
 DEPEND="${RDEPEND}"
+
+src_prepare() {
+       sed -i -e "s/2.8.7/3.5/" CMakeLists.txt || die
+       cmake_src_prepare
+}

diff --git a/net-wireless/soapyhackrf/soapyhackrf-9999.ebuild 
b/net-wireless/soapyhackrf/soapyhackrf-9999.ebuild
index 017475da18d7..777ae3cc5c87 100644
--- a/net-wireless/soapyhackrf/soapyhackrf-9999.ebuild
+++ b/net-wireless/soapyhackrf/soapyhackrf-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -23,3 +23,8 @@ SLOT="0"
 RDEPEND="net-wireless/soapysdr:=
                net-libs/libhackrf:="
 DEPEND="${RDEPEND}"
+
+src_prepare() {
+       sed -i -e "s/2.8.7/3.5/" CMakeLists.txt || die
+       cmake_src_prepare
+}

Reply via email to